/*! firebase-admin v9.3.0 */
"use strict";
/*!
 * Copyright 2020 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.admin = void 0;
var credentialApi = require("./credential");
/**
 * Temporarily, admin.credential is used as the namespace name because we
 * cannot barrel re-export the contents from credential.ts, and we want it to
 * match the namespacing in the re-export inside src/index.d.ts
 */
/* eslint-disable @typescript-eslint/no-namespace */
var admin;
(function (admin) {
    var credential;
    (function (credential) {
        credential.applicationDefault = credentialApi.applicationDefault;
        credential.cert = credentialApi.cert;
        credential.refreshToken = credentialApi.refreshToken;
    })(credential = admin.credential || (admin.credential = {}));
})(admin = exports.admin || (exports.admin = {}));
