/*! firebase-admin v9.3.0 */
"use strict";
/*!
 * Copyright 2020 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.admin = exports.remoteConfig = void 0;
var remoteConfigClientApi = require("./remote-config-api-client");
var firebaseAdmin = require("../index");
function remoteConfig(app) {
    if (typeof (app) === 'undefined') {
        app = firebaseAdmin.app();
    }
    return app.remoteConfig();
}
exports.remoteConfig = remoteConfig;
/**
 * We must define a namespace to make the typings work correctly. Otherwise
 * `admin.remoteConfig()` cannot be called like a function. Temporarily,
 * admin.remoteConfig is used as the namespace name because we cannot barrel
 * re-export the contents from remote-config, and we want it to
 * match the namespacing in the re-export inside src/index.d.ts
 */
/* eslint-disable @typescript-eslint/no-namespace */
var admin;
(function (admin) {
    var remoteConfig;
    (function (remoteConfig) {
        remoteConfig.TagColor = remoteConfigClientApi.TagColor;
    })(remoteConfig = admin.remoteConfig || (admin.remoteConfig = {}));
})(admin = exports.admin || (exports.admin = {}));
